Record that an article was placed on a page
POST
/cms/print/v2/articles/{id}/used
const url = 'https://api.example.com/cms/print/v2/articles/1/used';const options = { method: 'POST', headers: { 'API-Key': '<API-Key>', 'Token-User': '<Token-User>', 'Content-Type': 'application/json' }, body: '{"subpageId":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/print/v2/articles/1/used \ --header 'API-Key: <API-Key>' \ --header 'Content-Type: application/json' \ --header 'Token-User: <Token-User>' \ --data '{ "subpageId": 1 }'Shown next to the article in the extension and the CMS (the article properties used_in_print and used_in_print_date).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
subpageId
required
integer
Example generated
{ "subpageId": 1}Responses
Section titled “Responses”Recorded